Index: trunk/packages/sipb-xen-remctl-auto/debian/changelog
===================================================================
--- trunk/packages/sipb-xen-remctl-auto/debian/changelog	(revision 1163)
+++ trunk/packages/sipb-xen-remctl-auto/debian/changelog	(revision 1164)
@@ -1,2 +1,10 @@
+sipb-xen-remctl-auto (1.5) unstable; urgency=low
+
+  * Distinguish between Xen errors and invalid commands by returning a
+    completely outlandish error code that's not likely to conflict with
+    anything
+
+ -- Evan Broder <broder@mit.edu>  Wed, 22 Oct 2008 00:47:50 -0400
+
 sipb-xen-remctl-auto (1.4) unstable; urgency=low
 
Index: trunk/packages/sipb-xen-remctl-auto/files/usr/sbin/sipb-xen-remote
===================================================================
--- trunk/packages/sipb-xen-remctl-auto/files/usr/sbin/sipb-xen-remote	(revision 1163)
+++ trunk/packages/sipb-xen-remctl-auto/files/usr/sbin/sipb-xen-remote	(revision 1164)
@@ -29,5 +29,5 @@
             *)
                 echo "ERROR: invalid subcommand"
-                exit 1
+                exit 34
                 ;;
         esac
@@ -35,5 +35,5 @@
     *)
         echo "ERROR: invalid command"
-        exit 1
+        exit 34
         ;;
 esac
